#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

long long currentTimeMillis () {
  struct timeval tv;
  gettimeofday( &tv, 0);
  
  return (tv.tv_sec * 1000 + tv.tv_usec / 1000);
}

int foo ( int a, int b ) {
  return 1;
}


void main ( int argc, char* argv[] ){
  long long t1, t2, td;
  int ret;
  unsigned int rounds = 3000000;
  unsigned int n = rounds;
  
  t1 = currentTimeMillis();
  while ( n-- != 0 );
  t2 = currentTimeMillis();
  td = t2 - t1;
  
	
  t1 = currentTimeMillis();
  while ( rounds-- != 0 ) {
	foo( 1, 2);
  }
  t2 = currentTimeMillis();
  printf( "static calls: %d\n", (t2 - t1 - td));	
}
